# This file created by conda-build 3.25.0
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Sun Oct  1 21:21:21 2023
# ------------------------------------------------

package:
  name: python-gfal2
  version: 1.12.0
source:
  patches:
    - 0001-Disable-Boost_NO_BOOST_CMAKE.patch
    - 0002-Disable-Python-2.7.patch
    - 0003-Support-for-Python-3.11.patch
  sha256: 4dd7071eacd820c7c9912e9822f860e3492ef2948c1903c8442ebe3bbd74cd74
  url: https://gitlab.cern.ch/dmc/gfal2-bindings/-/archive/v1.12.0/gfal2-bindings-v1.12.0.tar.gz
build:
  ignore_run_exports:
    - glib
  number: '3'
  script: /home/conda/feedstock_root/build_artifacts/python-gfal2_1696195402263/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehol/bin/python
    -m pip install . --no-deps -vv
  string: py311h68fa9a7_3
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - _sysroot_linux-aarch64_curr_repodata_hack 4 h57d6b7b_13
    - binutils_impl_linux-64 2.40 hf600244_0
    - binutils_impl_linux-aarch64 2.40 h40ea8b1_0
    - binutils_linux-aarch64 2.40 h19b5abf_2
    - bzip2 1.0.8 h7f98852_4
    - c-ares 1.19.1 hd590300_0
    - ca-certificates 2023.7.22 hbcca054_0
    - cmake 3.27.6 hcfe8598_0
    - cross-python_linux-aarch64 3.11 41_cpython
    - crossenv 1.4.0 pyhd8ed1ab_0
    - gcc_impl_linux-64 12.3.0 he2b93b0_2
    - gcc_impl_linux-aarch64 12.3.0 hfb0b921_2
    - gcc_linux-aarch64 12.3.0 hd570763_2
    - gxx_impl_linux-64 12.3.0 he2b93b0_2
    - gxx_impl_linux-aarch64 12.3.0 hfb0b921_2
    - gxx_linux-aarch64 12.3.0 h4913bc6_2
    - kernel-headers_linux-64 2.6.32 he073ed8_16
    - kernel-headers_linux-aarch64 4.18.0 h5b4a56d_13
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.21.2 h659d440_0
    - ld_impl_linux-64 2.40 h41732ed_0
    - ld_impl_linux-aarch64 2.40 hc365e21_0
    - libcurl 8.3.0 hca28451_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h516909a_1
    - libexpat 2.5.0 hcb278e6_1
    - libffi 3.4.2 h7f98852_5
    - libgcc-devel_linux-64 12.3.0 h8bca6fd_2
    - libgcc-devel_linux-aarch64 12.3.0 h1a07b91_2
    - libgcc-ng 13.2.0 h807b86a_2
    - libgomp 13.2.0 h807b86a_2
    - libiconv 1.17 h166bdaf_0
    - libnghttp2 1.52.0 h61bc06f_0
    - libnsl 2.0.0 hd590300_1
    - libsanitizer 12.3.0 h0f45ef3_2
    - libsqlite 3.43.0 h2797004_0
    - libssh2 1.11.0 h0841786_0
    - libstdcxx-devel_linux-64 12.3.0 h8bca6fd_2
    - libstdcxx-devel_linux-aarch64 12.3.0 h1a07b91_2
    - libstdcxx-ng 13.2.0 h7e041cc_2
    - libuuid 2.38.1 h0b41bf4_0
    - libuv 1.46.0 hd590300_0
    - libzlib 1.2.13 hd590300_5
    - lz4-c 1.9.4 hcb278e6_0
    - make 4.3 hd18ef5c_1
    - ncurses 6.4 hcb278e6_0
    - openssl 3.1.3 hd590300_0
    - pkg-config 0.29.2 h36c2ea0_1008
    - popt 1.16 h0b475e3_2002
    - python 3.11.5 hab00c5b_0_cpython
    - readline 8.2 h8228510_1
    - rhash 1.4.4 hd590300_0
    - rsync 3.2.7 h70740c4_0
    - sed 4.8 he412f7d_0
    - sysroot_linux-64 2.12 he073ed8_16
    - sysroot_linux-aarch64 2.17 h5b4a56d_13
    - tk 8.6.13 h2797004_0
    - tzdata 2023c h71feb2d_0
    - xxhash 0.8.0 h7f98852_3
    - xz 5.2.6 h166bdaf_0
    - zstd 1.5.5 hfc55251_0
  host:
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 hf897c2e_4
    - c-ares 1.19.1 h31becfc_0
    - ca-certificates 2023.7.22 hcefe29a_0
    - cgsi-gsoap 1.3.11 h9b22836_7
    - cyrus-sasl 2.1.27 hf6b2984_7
    - davix 0.8.4 hf855ebf_2
    - dcap 2.47.14 h7c544c4_1
    - expat 2.5.0 hd600fc2_1
    - gct 6.2.1629922860 h19ae8ab_2
    - gettext 0.21.1 ha18d298_0
    - gfal2 2.21.3 h128cf46_0
    - glib 2.78.0 hd84c7bf_0
    - glib-tools 2.78.0 hd84c7bf_0
    - gsoap 2.8.123 h6af4a7d_0
    - icu 73.2 h787c7f5_0
    - json-c 0.16 hcc5b78b_0
    - keyutils 1.6.1 h4e544f5_0
    - krb5 1.21.2 hc419048_0
    - ld_impl_linux-aarch64 2.40 h2d8c526_0
    - libblas 3.9.0 17_linuxaarch64_openblas
    - libboost 1.82.0 h133f18d_5
    - libboost-devel 1.82.0 h37bb5a9_5
    - libboost-headers 1.82.0 h8af1aa0_5
    - libboost-python 1.82.0 py311hec5c23b_5
    - libboost-python-devel 1.82.0 py311h37d12f8_5
    - libcblas 3.9.0 17_linuxaarch64_openblas
    - libcurl 8.3.0 h4e8248e_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h516909a_1
    - libexpat 2.5.0 hd600fc2_1
    - libffi 3.4.2 h3557bc0_5
    - libgcc-ng 13.2.0 hf8544c7_2
    - libgfortran-ng 13.2.0 he9431aa_2
    - libgfortran5 13.2.0 h582850c_2
    - libglib 2.78.0 h0464669_0
    - libgomp 13.2.0 hf8544c7_2
    - libiconv 1.17 h9cdd2b7_0
    - liblapack 3.9.0 17_linuxaarch64_openblas
    - libnghttp2 1.52.0 h250e5c5_0
    - libnsl 2.0.0 h31becfc_1
    - libntlm 1.4 hf897c2e_1002
    - libopenblas 0.3.23 pthreads_hd703e6f_0
    - libsqlite 3.43.0 h194ca79_0
    - libssh2 1.11.0 h492db2e_0
    - libstdcxx-ng 13.2.0 h9a76618_2
    - libtool 2.4.7 h4de3ea5_0
    - libuuid 2.38.1 hb4cce97_0
    - libxml2 2.11.5 h3091e33_1
    - libzlib 1.2.13 h31becfc_5
    - ncurses 6.4 h2e1726e_0
    - numpy 1.26.0 py311h69ead2a_0
    - openldap 2.6.6 h64be270_0
    - openssl 3.1.3 h31becfc_0
    - pcre2 10.40 he7b27c6_0
    - perl 5.32.1 4_h31becfc_perl5
    - pip 23.2.1 pyhd8ed1ab_0
    - pugixml 1.11.4 h2f0025b_1
    - python 3.11.5 h43d1f9e_0_cpython
    - python_abi 3.11 4_cp311
    - readline 8.2 h8fc344f_1
    - scitokens-cpp 1.0.2 hc3b5689_0
    - setuptools 68.2.2 pyhd8ed1ab_0
    - srm-ifce 1.24.6 hb66a616_1
    - tk 8.6.13 h194ca79_0
    - tzdata 2023c h71feb2d_0
    - voms 2.1.0rc3 h2e0fb3b_0
    - wheel 0.41.2 pyhd8ed1ab_0
    - xrootd 5.6.2 py311h2e88512_1
    - xz 5.2.6 h9cdd2b7_0
    - zlib 1.2.13 h31becfc_5
    - zstd 1.5.5 h4c53e97_0
  run:
    - gfal2 >=2.21.3,<2.22.0a0
    - libboost >=1.82.0,<1.83.0a0
    - libboost-python >=1.82.0,<1.83.0a0
    - libgcc-ng >=12
    - libglib >=2.78.0,<3.0a0
    - libstdcxx-ng >=12
    - python >=3.11,<3.12.0a0
    - python >=3.11,<3.12.0a0 *_cpython
    - python_abi 3.11.* *_cp311
test:
  imports:
    - gfal2
about:
  description: 'GFAL (Grid File Access Library) is a C library providing an abstraction

    layer of the grid storage system complexity. The version 2 of GFAL tries to

    simplify at the maximum the file operations in a distributed environment.

    The complexity of the grid is hidden from the client side behind a simple

    common POSIX API. GFAL2 is able to manage all the common used file access

    protocols in a grid & cloud environment.

    '
  dev_url: https://gitlab.cern.ch/dmc/gfal2-bindings
  doc_url: https://dmc-docs.web.cern.ch/dmc-docs/gfal2-python.html
  home: Python bindings for gfal 2.0
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE
  summary: GFAL (Grid File Access Library) is a C library providing an abstraction
    layer of the grid storage system complexity.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - chrisburr
